+ Répondre à la discussion
Affichage des résultats 1 à 3 sur 3
  1. #1
    Membre confirmé
    Avatar de Claude URBAN
    Homme Profil pro
    Prendre le temps de vivre. . .
    Inscrit en
    mai 2006
    Messages
    210
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Alpes Maritimes (Provence Alpes Côte d'Azur)

    Informations professionnelles :
    Activité : Prendre le temps de vivre. . .

    Informations forums :
    Inscription : mai 2006
    Messages : 210
    Points : 235
    Points
    235

    Par défaut Compilation de wxSTC impossible

    Bonjour

    Je me décide à faire appel à la communauté, en espérant que l'un d'entre vous ait déjà pu solutionner ce type de problème, lui donnant ainsi la possibilité de me venir en aide.

    Je viens de compiler wxWidgets 2.8.10 avec VC++ 2008 édition express.

    Oui, je sais on en est à la 2.9.4, mais pour le moment c'est de la 2.8.10 dont j'ai besoin.

    Tout c'est très bien passé, mais maintenant j'ai besoin de wxSTC.

    J'ai suivi la procédure suivante:

    contrib\src\stc
    puis, je lance " nmake -f Makefile.in " ( c'est ce que j'ai dans ce répertoire! )

    Et VC me répond: Makefile.in(9) : fatal error U1035: erreur de syntaxe : séparateur ':' ou '=' attendu
    Stop.

    Oups! chercher l'erreur?

    Et bien justement, je ne sais pas où commencer à chercher, vu que c'est le makefile original de wxWidgets...
    et que je n'ai trouvé aucun message en ce sens sur le net.
    Et ce n'est pas faute d'avoir cherché...

    Si quelqu'un a une idée...je suis bien évidement preneur.


    Je vous remercie de toute l'aide que vous saurez m'apporter.


    Bien à vous et bonne journée.


    @++

  2. #2
    Membre confirmé Avatar de wxXav
    Homme Profil pro
    Développeur amateur
    Inscrit en
    décembre 2008
    Messages
    148
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Développeur amateur

    Informations forums :
    Inscription : décembre 2008
    Messages : 148
    Points : 251
    Points
    251

    Par défaut Tu y étais presque ...

    Salut.

    En fait, le makefile ne se trouve pas dans le dossier "src/stc" mais dans "WX_DIR/contrib/build/stc".
    Dans ton cas (Visual C++), if s'agit du fichier "Makefile.vc".

    Citation Envoyé par Claude URBAN Voir le message
    Je viens de compiler wxWidgets 2.8.10 avec VC++ 2008 édition express.

    Oui, je sais on en est à la 2.9.4, mais pour le moment c'est de la 2.8.10 dont j'ai besoin.
    Il y a quand même la version 2.8.12 entre les deux (je dis ça comme ça, hein... )

    @+
    Xav'

  3. #3
    Membre confirmé
    Avatar de Claude URBAN
    Homme Profil pro
    Prendre le temps de vivre. . .
    Inscrit en
    mai 2006
    Messages
    210
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Alpes Maritimes (Provence Alpes Côte d'Azur)

    Informations professionnelles :
    Activité : Prendre le temps de vivre. . .

    Informations forums :
    Inscription : mai 2006
    Messages : 210
    Points : 235
    Points
    235

    Par défaut

    Salut,

    Tout d'abord un grand MERCI pour ton aide précieuse.( comme d'hab! )

    ll va sérieusement falloir que je change de lunettes, car j'ai lu et relu et rererelu plusieurs fois ton .pdf sur le sujet, sans m'apercevoir de mon erreur.

    J'ai pas encore essayé, mais j'ai jeté un coup d'oeil dans les répertoires en question et je comprends où je m'étais lamentablement planté.

    Je vais d'ailleurs de ce pas, apporté une réponse sur ton site ( http://www.wxdev.fr ) où j'avais laissé le même message.

    Et pour répondre à ta suggestion de la 2.8.12:
    OUI je sais, mais c'est parce que je veux compiler " wxLua " et que les binaires actuels ne sont que pour la 2.8.10.

    Et comme c'est la première fois que je me lance dans ce genre de manipulation, je fais pour le moment avec ce qui fonctionne... ( en principe! )

    Lorsque j'aurais réussi à compiler correctement wxLua 2.8.10, j'essayerais de lui rajouter wxWidgets en 2.8.12... d'après ce que j'ai pu lire sur le web, ça devrait pouvoir se faire sans trop de problème... ça c'est moins sûr, mais on verra bien.


    Encore un grand merci.


    @++

+ Répondre à la discussion
Cette discussion est résolue.

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •